#include <bits/stdc++.h>
#define ll long long

using namespace std;

int a, b, c, d;

int main(){

    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> a >> b >> c >> d;
    if (a == c || b == d){
        cout << 2 << '\n';
        return 0;
    }
    if (abs(a - c) == abs(b - d)){
        cout << 1 << '\n';
        return 0;
    }
    cout << 0 << '\n';

    return 0;
}